it.csi.mddtools.guigen

## Interface Role

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Role
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Role'. Ruolo come definito in IRIDE2

  The following features are supported:

  - `Code`
  - `Domain Code`
  See Also:
    `GuigenPackage.getRole()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Returns the value of the 'Code' attribute
    `java.lang.String` | `getDomainCode()` Returns the value of the 'Domain Code' attribute
    `void` | `setCode(java.lang.String value)` Sets the value of the '`Code`' attribute
    `void` | `setDomainCode(java.lang.String value)` Sets the value of the '`Domain Code`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCode

          java.lang.String getCode()

      Returns the value of the 'Code' attribute.

      If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

      codice identificativo (come censito in IRIDE2)
      Returns:
        the value of the 'Code' attribute.
      See Also:
        `setCode(String)`, `GuigenPackage.getRole_Code()`

    - #### setCode

          void setCode(java.lang.String value)

      Sets the value of the '`Code`' attribute.
      Parameters:
        `value` - the new value of the 'Code' attribute.
      See Also:
        `getCode()`

    - #### getDomainCode

          java.lang.String getDomainCode()

      Returns the value of the 'Domain Code' attribute.

      If the meaning of the 'Domain Code' attribute isn't clear, there really should be more of a description here...

      codice del dominio di validità del ruolo (come censito in IRIDE2)
      Returns:
        the value of the 'Domain Code' attribute.
      See Also:
        `setDomainCode(String)`, `GuigenPackage.getRole_DomainCode()`

    - #### setDomainCode

          void setDomainCode(java.lang.String value)

      Sets the value of the '`Domain Code`' attribute.
      Parameters:
        `value` - the new value of the 'Domain Code' attribute.
      See Also:
        `getDomainCode()`